/*
 * or.h
 *
 *
 *  Created on: 29-04-2014
 *      Author: KJ
 */

#ifndef OR_H_
#define OR_H_

#include "tdefs.h"

struct or_logic
{
	u8 *out_ptr;
	u8 out_bit_mask;

	u8 *in1_ptr;
	u8 in1_bit_mask;

	u8 *in2_ptr;
	u8 in2_bit_mask;
};

struct or_io
{
	u32 in1;
	u32 in2;
	u32 out;
}__attribute__((__packed__));

struct or_params
{
}__attribute__((__packed__));

struct or_args
{
	struct or_io io;
	struct or_params params;
//	u16 crc;
}__attribute__((__packed__));

extern void or(void *args, void *logic);
extern int or_initlog(void *args, void *logic);

#endif /* OR_H_ */
